org.eclipse.actf.visualization.eval

## Interface IChecker

All Known Subinterfaces:
  IHtmlChecker

    public interface IChecker

Interface for content evaluator

### Method Summary

Methods
`List<IProblemItem>` `check(ICheckTarget checkTarget)` Check target content and return detected issues
`boolean` `isEnabled()` Check if evaluation item related to this checker is enabled by user
`boolean` `isTargetFormat(String mimeType)` Check if MIME type is supported by this checker

### Method Detail

#### check

    List<IProblemItem> check(ICheckTarget checkTarget)

Check target content and return detected issues

Parameters:
  `checkTarget` - target content information
Returns:
  detected issues as list of `IProblemItem`

#### isTargetFormat

    boolean isTargetFormat(String mimeType)

Check if MIME type is supported by this checker

Parameters:
  `mimeType` - target MIME type
Returns:
  true, if target MIME type is supported

#### isEnabled

    boolean isEnabled()

Check if evaluation item related to this checker is enabled by user

Returns:
  true, if evaluation item related to this checker is enabled